import * as cr from 'aws-cdk-lib/custom-resources';
import { Construct } from 'constructs';
export declare enum CodeConnectionsHostProviderType {
    BIT_BUCKET = "Bitbucket",
    GIT_HUB = "GitHub",
    GIT_HUB_ENTERPRISE_SERVER = "GitHubEnterpriseServer",
    GIT_LAB = "GitLab",
    GIT_LAB_SELF_MANAGED = "GitLabSelfManaged"
}
export declare enum ResponseField {
    HOST_ARN = "HostArn"
}
export interface CodeConnectionsHostCustomResourceProps {
    readonly name: string;
    readonly providerEndpoint: string;
    readonly providerType: CodeConnectionsHostProviderType;
}
export declare class CodeConnectionsHostCustomResource extends cr.AwsCustomResource {
    constructor(scope: Construct, id: string, props: CodeConnectionsHostCustomResourceProps);
    findHostArn(): string;
}
